diff --git a/src/AboutDialog.cpp b/src/AboutDialog.cpp
index 3d32e3787..f1b7c1967 100644
--- a/src/AboutDialog.cpp
+++ b/src/AboutDialog.cpp
@@ -63,6 +63,7 @@ hold information about one contributor to Audacity.
 //#define REV_LONG "28864acb238cb3ca71dda190a2d93242591dd80e"
 //#define REV_TIME "Sun Apr 12 12:40:22 2015 +0100"
 #include <RevisionIdent.h>
+#include "GitDesc.h"
 
 #ifndef REV_TIME
 #define REV_TIME "unknown date and time"
@@ -405,6 +406,7 @@ visit our %s.")
       << ProgramName
       << wxT(" ")
       << wxString(AUDACITY_VERSION_STRING)
+      << wxT(" (") << wxString(GIT_DESC) << wxT(")")
       << wxT("</center></h3>")
       /* i18n-hint: The program's name substitutes for %s */
       << XO("%s the free, open source, cross-platform software for recording and editing sounds.")
@@ -608,16 +610,21 @@ void AboutDialog::PopulateInformationPage( ShuttleGui & S )
 	   wxString::Format(wxT("MSVC %02d.%02d.%05d.%02d"), _MSC_VER / 100, _MSC_VER % 100, _MSC_FULL_VER % 100000, _MSC_BUILD));
 #endif
 
-#ifdef __GNUC_PATCHLEVEL__
-#ifdef __MINGW32__
-   AddBuildinfoRow(&informationStr, XO("Compiler:"), wxT("MinGW ") wxMAKE_VERSION_DOT_STRING_T(__GNUC__, __GNUC_MINOR__, __GNUC_PATCHLEVEL__));
-#else
-   AddBuildinfoRow(&informationStr, XO("Compiler:"), wxT("GCC ") wxMAKE_VERSION_DOT_STRING_T(__GNUC__, __GNUC_MINOR__, __GNUC_PATCHLEVEL__));
-#endif
-#endif
-
 #ifdef __clang_version__
-   AddBuildinfoRow(&informationStr, XO("Compiler:"), wxT("clang ") __clang_version__);
+   #ifdef __GNUC_PATCHLEVEL__
+   AddBuildinfoRow(&informationStr, XO("Compiler:"),
+        wxString::Format(wxT("clang %s (compatible GCC %d.%d.%d)"), __clang_version__, __GNUC__, __GNUC_MINOR__, __GNUC_PATCHLEVEL__));
+   #else
+       AddBuildinfoRow(&informationStr, XO("Compiler:"), wxT("clang ") __clang_version__);
+   #endif
+#else
+    #ifdef __GNUC_PATCHLEVEL__
+    #ifdef __MINGW32__
+       AddBuildinfoRow(&informationStr, XO("Compiler:"), wxT("MinGW ") wxMAKE_VERSION_DOT_STRING_T(__GNUC__, __GNUC_MINOR__, __GNUC_PATCHLEVEL__));
+    #else
+       AddBuildinfoRow(&informationStr, XO("Compiler:"), wxT("GCC ") wxMAKE_VERSION_DOT_STRING_T(__GNUC__, __GNUC_MINOR__, __GNUC_PATCHLEVEL__));
+    #endif
+    #endif
 #endif
 
    // Install prefix
